#!/bin/bash
opwd=`pwd`
source setup.bash

if [ ! -e "collect/documented-examples" ]; then
	cd collect
	ln -s ../../documented-examples
	cd $opwd
fi

cd collect

for coll in documented-examples/*; do
	cd $opwd

	if [ -d "collect/$coll/etc" ]; then
		if [ ! -e "collect/$coll/index" ]; then
			echo
			echo "Building collection $coll "
			echo

			import.pl --removeold $coll && \
			buildcol.pl --removeold $coll && \
			rm -rf collect/$coll/index collect/$coll/archives && \
			mv collect/$coll/building collect/$coll/index || exit 1
		else
			echo skipping $coll
		fi
	fi
done
